Bug 14171 - Вешается при запуске
: Вешается при запуске
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/pcmanfm)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2008-01-26 16:23 by
Modified: 2008-03-16 19:28 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-01-26 16:23:40
До запуска:

$ ps auxwww
USER       PID %CPU %MEM    VSZ   RSS TTY      STAT START   TIME COMMAND
root         1  0.0  0.0   1540   556 ?        Ss   12:33   0:00 init [5]       
root         2  0.0  0.0      0     0 ?        S    12:33   0:00 [migration/0]
root         3  0.0  0.0      0     0 ?        SN   12:33   0:00 [ksoftirqd/0]
root         4  0.0  0.0      0     0 ?        S    12:33   0:00 [watchdog/0]
root         5  0.0  0.0      0     0 ?        S<   12:33   0:00 [events/0]
root         6  0.0  0.0      0     0 ?        S<   12:33   0:00 [khelper]
root         7  0.0  0.0      0     0 ?        S<   12:33   0:00 [kthread]
root        10  0.0  0.0      0     0 ?        S<   12:33   0:00 [kblockd/0]
root        11  0.0  0.0      0     0 ?        S<   12:33   0:00 [kacpid]
root       110  0.0  0.0      0     0 ?        S<   12:33   0:00 [cqueue/0]
root       111  0.0  0.0      0     0 ?        S<   12:33   0:00 [kseriod]
root       154  0.0  0.0      0     0 ?        S    12:33   0:00 [pdflush]
root       155  0.0  0.0      0     0 ?        S    12:33   0:00 [pdflush]
root       156  0.0  0.0      0     0 ?        S<   12:33   0:00 [kswapd0]
root       157  0.0  0.0      0     0 ?        S<   12:33   0:00 [aio/0]
root       416  0.0  0.0      0     0 ?        S<   12:33   0:00 [ata/0]
root       417  0.0  0.0      0     0 ?        S<   12:33   0:00 [ata_aux]
root       422  0.0  0.0      0     0 ?        S<   12:33   0:00 [scsi_eh_0]
root       426  0.0  0.0      0     0 ?        S<   12:33   0:00 [scsi_eh_1]
root       783  0.0  0.0      0     0 ?        S<   12:33   0:00 [kjournald]
root       882  0.0  0.1   2248  1172 ?        S<s  12:33   0:00 /sbin/udevd
--daemon
root      1205  0.0  0.0      0     0 ?        S<   12:33   0:00 [kpsmoused]
root      1228  0.0  0.0      0     0 ?        S<   12:33   0:00 [khubd]
root      1304  0.0  0.0      0     0 ?        S<   12:33   0:00 [khpsbpkt]
root      1494  0.0  0.0      0     0 ?        S    12:33   0:00 [knodemgrd_0]
root      1694  0.0  0.0      0     0 ?        S<   12:33   0:00 [kjournald]
rpc       2200  0.0  0.0   1676   592 ?        Ss   12:33   0:00 /sbin/portmap -l
syslogd   2272  0.0  0.0   1756   760 ?        Ss   12:33   0:00 /sbin/syslogd
-u syslogd -j /var/resolv
klogd     2292  0.0  0.0   1580   540 ?        Ss   12:33   0:00 /sbin/klogd -c
1 -x -u klogd -j /var/lib/klogd
101       3694  0.0  0.0   2268   936 ?        Ss   12:33   0:00
/usr/bin/dbus-daemon --system
103       3750  0.0  0.2   4536  3056 ?        Ss   12:33   0:00 /usr/sbin/hald
root      3751  0.0  0.0   2816   984 ?        S    12:33   0:00 hald-runner
root      3756  0.0  0.0   2872   996 ?        S    12:33   0:00
hald-addon-input: Listening on /dev/input/event0
103       3764  0.0  0.0   1828   756 ?        S    12:33   0:00
hald-addon-acpi: listening on acpid socket /var/run/acpid.socket
root      3895  0.0  0.0   1748   444 ?        Ss   12:33   0:00 /usr/sbin/gpm
-m /dev/psaux -t ps/2
root      3916  0.0  0.0   1656   628 ?        Ss   12:33   0:00 /usr/sbin/crond
root      3952  0.0  0.0   2916   504 ?        Ss   12:33   0:00
/usr/sbin/atieventsd
root      3972  0.0  0.0   1516   312 ?        Ss   12:33   0:00 /usr/sbin/rundm
/dev/tty1 /dev/tty2 /dev/tty3 /dev/tty4 /dev/tty5 /dev/tty6 --
root      3983  0.0  0.0   2664   800 ?        Ss   12:33   0:00 kdm -nodaemon
root      4049  0.0  0.0   3604   820 ?        Ss   12:33   0:00 /usr/sbin/sshd
root      4084  0.0  0.1   4900  1956 ?        Ss   12:33   0:00 /usr/sbin/cupsd
root      4122  0.0  0.0   1536   476 ?        Ss   12:33   0:00 /usr/sbin/acpid
-c /etc/acpi/events.ignore
root      4173  0.0  0.1   4488  1700 ?        S    12:33   0:00
/usr/sbin/powersaved -d -x /usr/lib/powersave/scripts -f /var/run/acpid.socket 
-c /etc/powersave
root      4436  0.0  0.0   2072   996 ?        Ss   12:33   0:00
/usr/libexec/postfix/master
postfix   4445  0.0  0.1   3244  1228 ?        S    12:33   0:00 qmgr -l -t fifo
-u -c
root      4518  0.0  0.0   1524   440 tty1     Ss+  12:33   0:00 /sbin/mingetty
--noclear tty1
root      4519  0.0  0.0   1520   436 tty2     Ss+  12:33   0:00 /sbin/mingetty tty2
root      4520  0.0  0.0   1524   440 tty3     Ss+  12:33   0:00 /sbin/mingetty tty3
root      4521  0.0  0.0   1524   440 tty4     Ss+  12:33   0:00 /sbin/mingetty tty4
root      4522  0.0  0.0   1520   436 tty5     Ss+  12:33   0:00 /sbin/mingetty tty5
root      4523  0.0  0.0   1524   440 tty6     Ss+  12:33   0:00 /sbin/mingetty tty6
tanusha   4616  0.0  0.0   2884   420 ?        Ss   12:33   0:00 ssh-agent -u
root     10808  0.0  0.0      0     0 ?        S<   13:37   0:00 [scsi_eh_2]
root     10809  0.0  0.0      0     0 ?        S<   13:37   0:00 [usb-storage]
root     10839  0.0  0.0   2876   924 ?        S    13:38   0:00
hald-addon-storage: polling /dev/sdd (every 2 sec)
root     11038  0.6  2.3  35856 24528 tty8     Ss+  14:18   0:44 X -nolisten tcp
:1 vt8 -auth /var/run/xauth/A:1-k5OnRf
root     11041  0.0  0.1   3564  1412 ?        S    14:18   0:00 -:1          
enp      11086  0.0  0.1   3356  1108 ?        Ss   14:18   0:00 /bin/sh
/usr/bin/startkde
enp      11134  0.0  0.0   2888   420 ?        Ss   14:18   0:00 ssh-agent -u
enp      11239  0.0  0.0   1384   128 ?        S    14:18   0:00 start_kdeinit
--new-startup +kcminit_startup
enp      11240  0.0  0.5  20276  5936 ?        Ss   14:18   0:00 kdeinit
Running...                                          
enp      11243  0.0  0.2  19628  2680 ?        S    14:18   0:00 dcopserver
[kdeinit] --nosid                                
enp      11245  0.0  0.5  21572  5764 ?        S    14:18   0:00 klauncher
[kdeinit] --new-startup                           
enp      11247  0.0  1.0  24220 10880 ?        S    14:18   0:00 kded [kdeinit]
--new-startup                                
enp      11252  0.0  0.0   1516   356 ?        S    14:18   0:00 kwrapper ksmserver
enp      11254  0.0  0.7  21324  7408 ?        S    14:18   0:00 ksmserver
[kdeinit]                                         
enp      11255  0.0  1.0  24616 10700 ?        S    14:18   0:01 kwin [kdeinit]
-session 102dd3c836e2e300012006924250000017  
enp      11257  0.0  1.3  25936 14168 ?        S    14:18   0:01 kdesktop
[kdeinit]                                          
enp      11259  0.0  1.5  28376 15448 ?        S    14:18   0:02 kicker
[kdeinit]                                            
enp      11260  0.0  0.4  20700  4768 ?        S    14:18   0:00 kio_file
[kdeinit] file /home/enp/tmp/ksocket-enp/klaunche  
enp      11276  0.0  0.6  21356  6964 ?        S    14:18   0:00 kaccess
[kdeinit]                                           
enp      11280  0.0  0.9  22464 10200 ?        S    14:18   0:00 kkbswitch
-session 102dd3c836e2e3000120069242800000177440016_1201279543_323244
enp      11285  0.0  1.0  22408 10804 ?        S    14:18   0:00 kbluetooth
--dontforceshow
enp      11286  0.0  0.7  26892  7912 ?        S    14:18   0:00 knotify
[kdeinit]                                           
enp      11288  0.0  1.0  24472 10576 ?        S    14:18   0:00 kmix [kdeinit]
-caption KMix -icon kmix -miniicon kmix      
enp      11290  0.0  0.9  24080  9640 ?        S    14:18   0:00 kpowersave
[kdeinit]                                        
enp      11292  0.0  0.8  23720  9132 ?        S    14:18   0:00 klipper
[kdeinit]                                           
enp      11300  0.0  0.1   3356  1124 ?        S    14:18   0:00 /bin/sh
/usr/bin/firefox
enp      11306  0.0  0.1   3352  1116 ?        S    14:18   0:00 /bin/sh
/usr/lib/firefox/run-mozilla.sh /usr/lib/firefox/firefox-bin
enp      11311  3.1 11.6 223792 119480 ?       Sl   14:18   3:35
/usr/lib/firefox/firefox-bin
enp      11317  0.0  0.1   3348  1896 ?        S    14:18   0:00
/usr/lib/gconfd-2 14
enp      11440  0.0  1.5  21372 16260 ?        S    15:11   0:00 xterm -class
UXTerm -u8
enp      11442  0.0  0.1   3848  1632 pts/2    Ss   15:11   0:00 bash
root     11457  0.0  0.0   2360  1016 pts/2    S    15:24   0:00 su -
root     11463  0.0  0.1   3820  1684 pts/2    S+   15:24   0:00 -bash
postfix  11598  0.0  0.1   3208  1188 ?        S    15:53   0:00 pickup -l -t
fifo -u -c
enp      11628  0.0  1.5  21220 16172 ?        S    16:06   0:00 xterm -class
UXTerm -u8
enp      11630  0.0  0.1   3844  1648 pts/3    Ss   16:06   0:00 bash
enp      11709  0.0  0.5  21488  5436 ?        S    16:13   0:00 kio_trash
[kdeinit] trash /home/enp/tmp/ksocket-enp/klaunc  
enp      11724  0.0  0.5  21440  5364 ?        S    16:13   0:00 kio_system
[kdeinit] system /home/enp/tmp/ksocket-enp/klau  
enp      11735  0.0  0.5  21476  5768 ?        S    16:13   0:00 kio_media
[kdeinit] media /home/enp/tmp/ksocket-enp/klaunc  
root     11762  3.5  0.5  11708  5240 tty7     Ss+  16:13   0:00 X -nolisten tcp
:0 vt7 -auth /var/run/xauth/A:0-kAO6Ub
root     11763  0.0  0.0   2792   940 ?        S    16:13   0:00 -:0          
root     11770  0.5  1.1  18956 11648 ?        S    16:13   0:00 /usr/bin/kdm_greet
enp      11810  0.0  0.0   2644   888 pts/3    R+   16:14   0:00 ps auxwww

При запуске из терминала запускается нормально, при запуске из меню - виснет.
Пытался запустить из меню под strace так:

# cat /usr/bin/pcmanfm
#!/bin/sh
strace -f /usr/bin/pcmanfm.bin &> /tmp/pcmanfm.strace

Под strace он запустился нормально
------- Comment #1 From 2008-01-26 17:17:14 -------
Значит моя идея не срабатывает... Буду дальше думать над кодом... 
------- Comment #2 From 2008-01-27 17:15:19 -------
У меня из бранча на бранче запускался (в отличие от Thunar, но это отдельная
история -- ещё не смотрел подробнее).
------- Comment #3 From 2008-02-27 13:38:52 -------
*** Bug 14674 has been marked as a duplicate of this bug. ***
------- Comment #4 From 2008-02-27 14:59:39 -------
Кстати, наблюдается 0.3.6.1 -- пока проблем никаких не заметил (кроме того, что
для отрывания хотя бы очевидных возможностей запустить шелл пришлось похакать
чуточку)...
------- Comment #5 From 2008-03-07 21:24:40 -------
Проверь 0.3.6.2-alt1?
------- Comment #6 From 2008-03-08 14:43:15 -------
(In reply to comment #5)
> Проверь 0.3.6.2-alt1?

пересобрал в бранче, ведет себя прилично
------- Comment #7 From 2008-03-10 00:39:02 -------
Сейчас проверю..
------- Comment #8 From 2008-03-10 00:43:02 -------
(In reply to comment #6)
> (In reply to comment #5)
> > Проверь 0.3.6.2-alt1?
> 
> пересобрал в бранче, ведет себя прилично

Вот только причем тут 0.3.6.2? В Бранче 0.3.2.2

------- Comment #9 From 2008-03-10 00:45:47 -------
(In reply to comment #6)
> (In reply to comment #5)
> > Проверь 0.3.6.2-alt1?
> 
> пересобрал в бранче, ведет себя прилично

Тот же "зависон", те же симптомы..
------- Comment #10 From 2008-03-10 13:17:17 -------
Теже симптомы, что и у других невозможны. Версия 0.3.6.2 собирается с
отключенным inotify. 
------- Comment #11 From 2008-03-10 20:17:21 -------
(In reply to comment #10)
> Теже симптомы, что и у других невозможны. Версия 0.3.6.2 собирается с
> отключенным inotify. 

Поставил вчера после прочтения строк выше на машину, где его раньше не было, 
прямо из Бранча. Причем 0.3.2.2.. При старте из меню так же, как я описывал в 
своем багрепорте - нет иконок никаких, 100-% загруки и так до бесконечности, 
пока не убьешь приложение.

Евгений, где есть 0.3.6.2 в Бранче?
------- Comment #12 From 2008-03-10 23:31:19 -------
Похоже, это какое-то межглючное взаимодействие с чем-то локальным...
могу ещё предложить пересобрать-проверить этот:
http://fly.osdn.org.ua/~mike/tmp/pcmanfm-0.3.6.1-alt0.1.src.rpm
------- Comment #13 From 2008-03-12 08:25:42 -------
> Евгений, где есть 0.3.6.2 в Бранче?

нигде, я же сказал, что пересобрал его на пакетной базе бранча (можно, наверное,
как есть брать из сизифа, но я так обычно не делаю, чтоб не иметь лишних проблем)
------- Comment #14 From 2008-03-14 10:03:27 -------
0.3.6.2 в бранче, попробуйте официальную сборку
------- Comment #15 From 2008-03-14 10:15:38 -------
(In reply to comment #12)
> Похоже, это какое-то межглючное взаимодействие с чем-то локальным...
> могу ещё предложить пересобрать-проверить этот:
> http://fly.osdn.org.ua/~mike/tmp/pcmanfm-0.3.6.1-alt0.1.src.rpm

Пересобрал, вроде все нормально. 
------- Comment #16 From 2008-03-14 10:16:11 -------
(In reply to comment #14)
> 0.3.6.2 в бранче, попробуйте официальную сборку

Сейчас обновлю.
------- Comment #17 From 2008-03-14 10:28:34 -------
(In reply to comment #16)
> (In reply to comment #14)
> > 0.3.6.2 в бранче, попробуйте официальную сборку
> 
> Сейчас обновлю.

Видимо не дошла еще - там пока 0.3.6.1
------- Comment #18 From 2008-03-14 12:14:28 -------
Ага, значит анонс о публикации обогнал саму публикацию на сутки :)
------- Comment #19 From 2008-03-16 04:38:28 -------
(In reply to comment #14)
> 0.3.6.2 в бранче, попробуйте официальную сборку

Обновил, вроде все нормально, что касается того, о чем были багрепорты. 

Есть замечание по программе.. Его можно писать в багзиллу на этот пакет, хоть это и не баг, а скорее 
недочет, а может и features request?
------- Comment #20 From 2008-03-16 19:28:05 -------
IMHO лучше автору (хотя на моё письмо то ли он не ответил, то ли в спам
угодило).

Нормально -- значит, FIXED :)